
function Skinner:CT_MailMod()
	if not self.db.profile.MailFrame then return end
	
	self:keepRegions(MailFrameTab3, {7, 8}) -- N.B. region 7 is text, 8 is highlight
	self:moveObject(MailFrameTab3, "+", 4, nil, nil)
	self:applySkin(MailFrameTab3)

	self:moveObject(CT_MMInboxOpenSelected, "-", 20, "+", 5)
	self:moveObject(CT_MMInboxOpenAll, "-", 20, "+", 5)

	--	reset MailItem1 position
	self:moveObject(MailItem1, "-", 5, "-", 5)
	
	-- skin the frame
	self:removeRegions(CT_MailFrame, {4, 5}) -- N.B. regions 1, 2 & 3 are text
	CT_MailFrame:SetWidth(CT_MailFrame:GetWidth() * FxMult)
	CT_MailFrame:SetHeight(CT_MailFrame:GetHeight() * FyMult)
	
	self:moveObject(CT_MailTitleText, "+", 5, "-", 35)
	self:moveObject(CT_MailNameEditBox, "-", 5, "+", 10)
	self:skinEditBox(CT_MailNameEditBox, {6})
	self:skinEditBox(CT_MailSubjectEditBox, {6})
	self:moveObject(CT_MailCostMoneyFrame, "+", 40, "+", 10)
	self:moveObject(CT_MailMoneyFrame, "-", 5, "-", 72)
	self:moveObject(CT_MailCancelButton, "+", 34, "-", 72)
	self:applySkin(CT_MailFrame)

	-- skin the accept send frame
	self:keepRegions(CT_Mail_AcceptSendFrame, {11, 12, 13, 14})-- N.B. regions 11 - 14 are text
	self:applySkin(CT_Mail_AcceptSendFrame, 1)

	self:moveObject(CT_MailStatusText, nil, nil, "-", 65)
	self:moveObject(CT_MailAbortButton, nil, nil, "-", 70)
	
	self:moveObject(CT_MailButton1, "-", 10, "+", 20)
	
	-- skin the OpenAll frame
	self:keepRegions(CT_MMInbox_OpenAll, {11, 12, 13, 14})-- N.B. regions 11 - 14 are text
	self:applySkin(CT_MMInbox_OpenAll, 1)

end
